# TdApi.PushMessageContentMediaAlbum (TDLight API 4.0.476 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: PushMessageContentMediaAlbum

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PushMessageContentMediaAlbum

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PushMessageContent
it.tdlight.jni.TdApi.PushMessageContentMediaAlbum

Enclosing class:
  TdApi

public static final class TdApi.PushMessageContentMediaAlbum extends TdApi.PushMessageContent
A media album.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`hasAudios`
True, if the album has at least one audio file.
`boolean`
`hasDocuments`
True, if the album has at least one document.
`boolean`
`hasPhotos`
True, if the album has at least one photo.
`boolean`
`hasVideos`
True, if the album has at least one video file.
`int`
`totalCount`
Number of messages in the album.

## Constructor Summary

Constructors
Constructor
Description
`PushMessageContentMediaAlbum()`
A media album.
`PushMessageContentMediaAlbum(int totalCount, boolean hasPhotos, boolean hasVideos, boolean hasAudios, boolean hasDocuments)`
A media album.
`PushMessageContentMediaAlbum(DataInput input)`
A media album.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### totalCount

public int totalCount
Number of messages in the album.

### hasPhotos

public boolean hasPhotos
True, if the album has at least one photo.

### hasVideos

public boolean hasVideos
True, if the album has at least one video file.

### hasAudios

public boolean hasAudios
True, if the album has at least one audio file.

### hasDocuments

public boolean hasDocuments
True, if the album has at least one document.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### PushMessageContentMediaAlbum

public PushMessageContentMediaAlbum()
A media album.

### PushMessageContentMediaAlbum

public PushMessageContentMediaAlbum(int totalCount, boolean hasPhotos, boolean hasVideos, boolean hasAudios, boolean hasDocuments)
A media album.

Parameters:
  `totalCount` - Number of messages in the album.
  `hasPhotos` - True, if the album has at least one photo.
  `hasVideos` - True, if the album has at least one video file.
  `hasAudios` - True, if the album has at least one audio file.
  `hasDocuments` - True, if the album has at least one document.

### PushMessageContentMediaAlbum

public PushMessageContentMediaAlbum(DataInput input) throws IOException
A media album.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`